Subject: Re: [PATCH] send-mail: Add option to sleep between sending each email.

From: Georgi Chorbadzhiyski <[email-masked]>
Date: Thu, 08 Sep 2011 16:58:36 +0300

Around 09/08/2011 02:15 PM, Matthieu Moy scribbled:
> [1] Actually, I think there's a problem with Georgi's patch. If I read
> correctly, the sleep is inserted within the confirmation loop, which
> means the user will have
> 
> send this email? yes
> sending email
> sleeping 10 seconds
> send this email? yes
> sending email
> sleeping 10 seconds
> ...
> 
> while it should be
> 
> send this email? yes
> ok, I'll send it later
> send this email? yes
> ok, I'll send it later
> sending first email ...
> sleeping 10 seconds
> sending second email
> done.
> 
> (i.e. don't force the user to wait between confirmations, and don't wait
> after the last email)

In order for this to work, confirmation should be split from send_message()
and from a quick look this not seem very easy. Might be easier to just
disable the sleep if user was asked for confirmation. It'll be good to
not sleep after last email, but main "foreach my $t (@files) {" loop should
pass some hint to send_message().

-- 
Georgi Chorbadzhiyski
http://georgi.unixsol.org/